<?php
$export=$_COOKIE["export"];
include("kurs/datenbankanbindung.php");     // f&uuml;gt die Datenbankanbindung ein: Sys:\php\includes\kurs\datenbankanbindung.php

// $DB_TBLName = "wunsch";                //your MySQL Table Name
/// $sql = "SELECT Vorname, Nachname, AG, Jahrgang, poplz, poOrt, poStrasse, mail FROM stud LEFT  JOIN wunsch USING ( uid ) WHERE wunsch.uid = stud.uid AND wunsch.id = \"1\" and wunsch.prioritaet=\"0\"";

// $Use_Title = 0;
$now_date = date('m-d-Y H:i');
// $title = "Dump For Table $DB_TBLName from Database $DB_DBName on $now_date";

$db = dbconnect();
    $sql = "SELECT Vorname, Nachname, AG, Jahrgang, mail
                  FROM stud LEFT JOIN sozkom_wunsch
                 USING ( uid )
                 WHERE sozkom_wunsch.uid = stud.uid
                   AND sozkom_wunsch.id = $export[id]
                   AND sozkom_wunsch.prioritaet=0
                   AND stud.durchgefallen != \"Y\"
                   ";

$result = @$db->query($sql)
    or die("Couldn't execute query:<br>" . mysql_error(). "<br>" . mysql_errno());

//header info for browser
header('Content-Encoding: UTF-8');
header("Content-type: text/csv; charset=UTF-8");
#header("Content-Type: text/comma-separated-values;charset=UTF-8");
echo "\xEF\xBB\xBF";
header("Content-Disposition: attachment; filename=Adressen_PsnNr_$export[id].csv"); //header("Content-Disposition: attachment; filename=database_dump.$file_ending");
header("Pragma: no-cache");
header("Expires: 0");

/*
if ($Use_Title == 1){
echo("$title\n");
}
*/

//define separator (defines columns in excel & tabs in word)
$sep = ";"; //tabbed character

//start of printing column names as names of MySQL fields
for ($i = 0; $i < mysqli_num_fields($result); $i++) {
echo mysqli_fetch_field_direct($result,$i)->name . ";";
}
print("\n");
//end of printing column names

//start while loop to get data
/*
note: the following while-loop was taken from phpMyAdmin 2.1.0.
--from the file "lib.inc.php".
*/
    while($row = $result->fetch_array())
    {
        //set_time_limit(60); // HaRa
        $schema_insert = "";
        for($j=0; $j<mysqli_num_fields($result);$j++)
        {
            if(!isset($row[$j]))
                $schema_insert .= "NULL".$sep;
            elseif ($row[$j] != "")
                $schema_insert .= "$row[$j]".$sep;
            else
                $schema_insert .= "".$sep;
        }
        $schema_insert = str_replace($sep."$", "", $schema_insert);
        //following fix suggested by Josue (thanks, Josue!)
        //this corrects output in excel when table fields contain \n or \r
        //these two characters are now replaced with a space
        $schema_insert = preg_replace("/\r\n|\n\r|\n|\r/", " ", $schema_insert);
        $schema_insert .= "\t";
        print(trim($schema_insert));
        print "\n";
    }
?>